package com.example.httppostget;

import java.net.URLEncoder;
import java.util.ArrayList;

import org.apache.http.HttpResponse;
import org.apache.http.NameValuePair;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.DefaultHttpClient;
import org.apache.http.message.BasicNameValuePair;
import org.apache.http.protocol.HTTP;
import org.apache.http.util.EntityUtils;

import android.app.Activity;
import android.os.AsyncTask;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

public class MainActivity extends Activity {

	private Button sendWithPostBtn;
	private Button sendWithGetBtn;
	private TextView inputTv;
	private TextView resultTv;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		sendWithPostBtn = (Button)findViewById(R.id.postSend);
		sendWithGetBtn = (Button)findViewById(R.id.getSend);
		inputTv = (TextView)findViewById(R.id.userInput);
		resultTv = (TextView)findViewById(R.id.result);
		
		sendWithPostBtn.setOnClickListener(sendWithPostBtnListener);
		sendWithGetBtn.setOnClickListener(sendWithGetBtnListener);
	}
	
	private OnClickListener sendWithPostBtnListener = new OnClickListener(){
		@Override
		public void onClick(View arg0) {
			new SentWithAsyncTask().execute("POST");
		}
	};
	
	private OnClickListener sendWithGetBtnListener = new OnClickListener(){
		@Override
		public void onClick(View arg0) {
			new SentWithAsyncTask().execute("GET");
		}
	};
	
	private String sendWtihPost(String inputStr){
		HttpPost request = new HttpPost("http://www.comp.hkbu.edu.hk/~sigis/android/public/handler.php");
    	ArrayList<NameValuePair> params = new ArrayList<NameValuePair>();
    	params.add(new BasicNameValuePair("post_string", inputStr));
    	String result = "";
    	try{
    		request.setEntity(new UrlEncodedFormEntity(params, HTTP.UTF_8));
    		HttpResponse httpResponse = new DefaultHttpClient().execute(request);
    		if(httpResponse.getStatusLine().getStatusCode() == 200){
    			result = EntityUtils.toString(httpResponse.getEntity());
    		}
    	}catch(Exception e){
    		e.printStackTrace();
    	}
    	return result;
    }
	
	private String sendWtihGet(String inputStr){
		String result = "";
    	try {
    		HttpGet request = new HttpGet("http://www.comp.hkbu.edu.hk/~sigis/android/public/handler.php?get_string=" + URLEncoder.encode(inputStr, "UTF-8"));
    		HttpResponse response = new DefaultHttpClient().execute(request);
    		result = EntityUtils.toString(response.getEntity());
    	}catch(Exception e) {
    		e.printStackTrace();
    	}
    	return result;
	}
	
	private class SentWithAsyncTask extends AsyncTask<String, Void, String> {
    	@Override
        protected String doInBackground(String... params) {
    		if(params[0].equals("POST")){
    			return sendWtihPost(inputTv.getText().toString());
    		}else{
    			return sendWtihGet(inputTv.getText().toString());
    		}
        }
        @Override 
        protected void onPostExecute(String result) {
        	super.onPostExecute(result);
        	resultTv.setText(result);
        }
    }
}