package com.example.parsexml;

import java.net.URL;
import java.net.URLConnection;
import java.util.ArrayList;
import java.util.HashMap;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;

import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;
import org.xml.sax.InputSource;

import android.app.Activity;
import android.os.AsyncTask;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

public class MainActivity extends Activity {
	
	private Button parseXmlBtn;
	private TextView resultTv;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		parseXmlBtn = (Button)findViewById(R.id.parseXML);
		resultTv = (TextView)findViewById(R.id.result);
		parseXmlBtn.setOnClickListener(parseXmlBtnListener);
	}
	
	private OnClickListener parseXmlBtnListener  = new OnClickListener(){
		@Override
		public void onClick(View arg0) {
			new ParseWithAsyncTask().execute();
		}
	};
	
	private ArrayList<HashMap<String, String>> loadXml(){
		HashMap<String, String> map;
		ArrayList<HashMap<String, String>> bookList = new ArrayList<HashMap<String, String>>();
    	try {
			URL url = new URL("http://www.comp.hkbu.edu.hk/~sigis/android/public/books.xml");
			
			URLConnection urlConn = url.openConnection();
			urlConn.setConnectTimeout(10000);
			urlConn.connect();
			
	    	DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
	    	DocumentBuilder db = dbf.newDocumentBuilder();
			Document doc = db.parse(new InputSource(url.openStream()));
			doc.getDocumentElement().normalize();
			NodeList nodeList = doc.getElementsByTagName("book");
			
			for (int i = 0; i < nodeList.getLength(); i++) {
				Node node = nodeList.item(i);
				map = new HashMap<String, String>();
				
				Element fstElmnt = (Element) node;
				NodeList list;
				Element element;
											
				list = fstElmnt.getElementsByTagName("name");
				element = (Element) list.item(0);
				list = element.getChildNodes();
				if(list.getLength()>0){
					map.put("name", ((Node)list.item(0)).getNodeValue());
				}else{
					map.put("name", "");
				}
				map.put("isbn", element.getAttribute("isbn"));
				
				
				list = fstElmnt.getElementsByTagName("author");
				element = (Element) list.item(0);
				list = element.getChildNodes();
				if(list.getLength()>0){
					map.put("author", ((Node)list.item(0)).getNodeValue());
				}else{
					map.put("author", "");
				}
				
				list = fstElmnt.getElementsByTagName("publisher");
				element = (Element) list.item(0);
				list = element.getChildNodes();
				if(list.getLength()>0){
					map.put("publisher", ((Node)list.item(0)).getNodeValue());
				}else{
					map.put("publisher", "");
				}
				
				bookList.add(map);
			}
			return bookList;
		} catch (Exception e) {
			e.printStackTrace();
			return new ArrayList<HashMap<String, String>>();
		}
    }

	private class ParseWithAsyncTask extends AsyncTask<Void, Void, ArrayList<HashMap<String, String>>> {
    	@Override
        protected ArrayList<HashMap<String, String>> doInBackground(Void... params) {
    		return loadXml();
        }
        @Override 
        protected void onPostExecute(ArrayList<HashMap<String, String>> result) {
        	super.onPostExecute(result);
        	String tvText = "";
        	for(int i=0; i<result.size(); i++){
	       		HashMap<String, String> map = result.get(i);
	       		tvText += map.get("name") + " (ISBN:" + map.get("isbn") +  ")" + "\n" + map.get("author") + "\n" + map.get("publisher") + "\n\n";
	       	}
	       	resultTv.setText(tvText);
        }
    }
}