package com.example.qrcode;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

public class MainActivity extends Activity {

	private TextView scanResultTv;
	private TextView scanResultFormatTv;
	private Button scanBtn;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		scanResultTv = (TextView)findViewById(R.id.scanResult);
		scanResultFormatTv = (TextView)findViewById(R.id.scanResultFormat);
        scanBtn = (Button)findViewById(R.id.scanBtn);
        scanBtn.setOnClickListener(scanBtnListener);
	}

	private OnClickListener scanBtnListener = new OnClickListener(){
		@Override
		public void onClick(View arg0) {
			Intent intent = new Intent("com.google.zxing.client.android.SCAN");
			intent.putExtra("SCAN_MODE", "QR_CODE_MODE");
			intent.setPackage("com.example.qrcode");
			startActivityForResult(intent, 0);
		}
    };
    
    @Override
    public void onActivityResult(int requestCode, int resultCode, Intent intent) {
	   if (requestCode == 0) {
	      if (resultCode == RESULT_OK) {
	    	  scanResultTv.setText("Scan result: " + intent.getStringExtra("SCAN_RESULT"));
	    	  scanResultFormatTv.setText("Scan result format: " + intent.getStringExtra("SCAN_RESULT_FORMAT"));
	      }
	   }
	}
}